<div class="app">
    <div class="toolbar">
        <i class="material-icons back-arrow" on:click="back()">arrow_back</i>
        <h2>Poggers</h2>
    </div>
    <div id="router-content" ref:router_content></div>
</div>

<style>
    .app {
        position: relative;
        display: flex;
        flex-direction: column;
        height: 100%;
        width: 100%;
        overflow-x: hidden;
        overflow-y: hidden;
    }

    #router-content {
        flex: 1 1 auto;
        overflow-y: auto;
        position: relative;
    }

    .toolbar {
        background: #eee;
        display: flex;
        align-items: center;
        height: 3rem;
        padding: 0 .75rem;
        flex-shrink: 0;
    }

    .back-arrow {
        margin-right: 1rem;
        cursor: pointer;
        font-size: 24px;
    }
</style>

<script>
    import Router from './Router/Router.html';
    import Routes from './Routes.js';
    import * as RouterService from './Router/RouterService';

    export default {
        oncreate() {
            this.router = new Router({
                target: this.refs.router_content,
                data: { routes: Routes },
            })
        },
        methods: {
            back() {
                RouterService.back();
            }
        }
    }
</script>